/*
 * servo_out.h
 */

#ifndef __SERVO_OUT_H
#define __SERVO_OUT_H

#define SERVO_LIMIT_LOW   (560*2)   // ~0.9 ms
#define SERVO_LIMIT_HIGH  (1313*2)  // ~2.1 ms

#define SERVO_HIGH       (SERVO_LIMIT_HIGH - SERVO_LIMIT_LOW)

#define SERVO_MID        (SERVO_HIGH / 2)
#define SERVO_SOFT_START 500
#define SERVO_SOFT_STOP  300

#define SERVO_IDLE  (50*2)   // ~1.0 ms



void init_servo(void);
void set_servo(int servo_num, int value);

#endif
